%global _empty_manifest_terminate_build 0
Name:           python-zope-interface
Version:        6.1
Release:        1
Summary:        Interfaces for Python
License:        ZPL 2.1
URL:            https://github.com/zopefoundation/zope.interface
Source0:        https://files.pythonhosted.org/packages/87/03/6b85c1df2dca1b9acca38b423d1e226d8ffdf30ebd78bcb398c511de8b54/zope.interface-6.1.tar.gz
%description
This package is intended to be independently reusable in any Python project.
It is maintained by the Zope Toolkit project.
This package provides an implementation of "object interfaces" for Python.
Interfaces are a mechanism for labeling objects as conforming to a given
API or contract. So, this package can be considered as implementation of
the Design By Contract methodology support in Python.

%package -n python3-zope-interface
Summary:        Interfaces for Python
Provides:       python-zope-interface
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-zope.testing
BuildRequires:  python3-zope-event
BuildRequires:  python3-coverage
BuildRequires:  gcc
%description -n python3-zope-interface
This package is intended to be independently reusable in any Python project.
It is maintained by the Zope Toolkit project.
This package provides an implementation of "object interfaces" for Python.
Interfaces are a mechanism for labeling objects as conforming to a given
API or contract. So, this package can be considered as implementation of
the Design By Contract methodology support in Python.

%package help
Summary:        Interfaces for Python
Provides:       python3-zope-interface-doc
%description help
This package is intended to be independently reusable in any Python project.
It is maintained by the Zope Toolkit project.
This package provides an implementation of "object interfaces" for Python.
Interfaces are a mechanism for labeling objects as conforming to a given
API or contract. So, this package can be considered as implementation of
the Design By Contract methodology support in Python.

%prep
%autosetup -n zope.interface-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-zope-interface -f filelist.lst
%dir %{python3_sitearch}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Dec 25 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 6.1-1
- Update package to version 6.1

* Mon Jul 10 2023 chenzixuan <chenzixuan@kylinos.cn> - 6.0-1
- Upgrade package to version 6.0 

* Thu Dec 15 2022 chendexi <chendexi@kylinos.cn> - 5.5.2-1
- Upgrade package to version 5.5.2

* Wed Nov 09 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 5.5.1-1
- Upgrade package to version 5.5.1

* Thu Mar 03 2022 zhaoshuang <zhaoshuang@uniontech.com> - 5.4.0-2
- remove some unnecessary buildrequires

* Thu Aug 05 2021 OpenStack_SIG <openstack@openeuler.org> - 5.4.0-1
- Upgrade to version 5.4.0

* Wed Aug 04 2021 chenyanpanHW <chenyanpan@huawei.com> - 5.2.0-2
- DESC: delete BuildRequires gdb

* Thu Dec 17 2020 Python_Bot <Python_Bot@openeuler.org> - 5.2.0-1
- Update to 5.2.0

* Wed Aug 5 2020 zhangjiapeng <zhangjiapeng9@huawei.com> - 4.7.2-1
- Upgrade to 4.7.2 to remove deprecated use of setuptools features

* Wed Feb 12 2020 openEuler Buildteam <buildteam@openeuler.org> - 4.5.0-3
- Package init
